---
title: Read Translation
description: The GET {{apiPath}}/v1/environments/{{envID}}/translations/{{locale}} operation returns the translated strings for the specified locale (refer to Language Translations). For example, a locale of zh returns the Chinese custom string translations.
component: pingone-api
page_id: pingone-api:platform:language-management/language-translations/read-translation
canonical_url: https://developer.pingidentity.com/pingone-api/platform/language-management/language-translations/read-translation.html
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
---

# Read Translation

##

```none
GET {{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}
```

The `GET {{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}` operation returns the translated strings for the specified locale (refer to [Language Translations](../language-translations.html)). For example, a locale of `zh` returns the Chinese custom string translations.

You can restrict the results using the query parameters:

* `module`

  The interface module key value. Options are `flow-ui`, `my-account`, `portal`, and `forms`.

* `block`

  The key for a logical group of interface strings in the specified module, such as a form or a tab.

Each module is associated with a particular set of blocks:

| `module`     | Module Name        | `block`                                 |
| ------------ | ------------------ | --------------------------------------- |
| `flow-ui`    | Sign On Policy     | UsernamePasswordValidator               |
|              |                    | `SocialProviderList`                    |
|              |                    | `PasswordValidator`                     |
|              |                    | `UsernameValidator`                     |
|              |                    | `AccountSelector`                       |
|              |                    | `ConfirmProfile`                        |
|              |                    | `DiscoverIdpForm`                       |
|              |                    | `ForgotPasswordUsernameForm`            |
|              |                    | `PasswordEditor`                        |
|              |                    | `RecoveryCodeAndPasswordForm`           |
|              |                    | `RegistrationForm`                      |
|              |                    | `UpdateProfile`                         |
|              |                    | `UserCredentialsForm`                   |
|              |                    | `UserLogin`                             |
|              |                    | `VerificationCode`                      |
|              |                    | `Agreement`                             |
|              |                    | `ErrorView`                             |
|              |                    | `LicenseTerminationView`                |
|              |                    | `ConfirmationTimedOut`                  |
|              |                    | `DeviceSelectionForm`                   |
|              |                    | `OnetimePasscodeEditor`                 |
|              |                    | `OneTimePasscodeForm`                   |
|              |                    | `PendingAssertionComponent`             |
|              |                    | `PendingPushComponent`                  |
|              |                    | `PushOTPForm`                           |
|              |                    | `SignedOff`                             |
|              |                    | `passwordRequirements`                  |
|              |                    | `errorMessages`                         |
|              |                    | `DeviceAuthorizationActivationCode`     |
|              |                    | `DeviceAuthorizationApplicationConsent` |
|              |                    | `DeviceAuthorization`                   |
|              |                    | `serverValidationMessages`              |
|              |                    | `FidoPolicy`                            |
|              |                    | `Others`                                |
| `my-account` | Self-Service       | `Profile`                               |
|              |                    | `MFA`                                   |
|              |                    | `ChangePasswordForm`                    |
|              |                    | `AccountAndSessions`                    |
|              |                    | `ConsentsScreen`                        |
|              |                    | `errorMessages`                         |
|              |                    | `FidoPolicy`                            |
|              |                    | `Others`                                |
| `portal`     | Application Portal | labels                                  |
|              |                    | `errorMessages`                         |
|              |                    | `appNames`                              |
| `forms`      | DaVinci Forms      | stdFields                               |
|              |                    | `errorMessages`                         |
|              |                    | `passwordPolicy`                        |
|              |                    | `customMessages`                        |
|              |                    | `Others`                                |

For example, the following request returns data for the `flow-ui` module and the `UsernamePasswordValidator` block of UI strings:

```curl
GET {{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}?block=UsernamePasswordValidator&module=flow-ui
```

> **Collapse: Query parameters**
>
> | Parameter | Description                                                          |
> | --------- | -------------------------------------------------------------------- |
> | `module`  | Constrains results to the specified UI module.                       |
> | `block`   | Constrains results to the set of UI strings in the specified module. |

|   |                                                                                                                                 |
| - | ------------------------------------------------------------------------------------------------------------------------------- |
|   | `customMessages` translation strings are excluded by default. To retrieve them, set the query parameter `block=customMessages`. |

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/environments/{{envID}}/translations/{{locale}} HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/translations/{{locale}}")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "next": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/translations/fr?cursor=fdb9b6c6-9036-4d78-badb-78ce3b72bdf3"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/translations/fr"
        }
    },
    "_embedded": {
        "translations": [
            {
                "id": "0d3ccf94-9036-4d78-badb-45017189cb46",
                "key": "flow-ui.button.approve",
                "shortKey": "button.approve",
                "referenceText": "Approve",
                "translatedText": "Approuver"
            },
            {
                "id": "3e90224d-9036-4d78-badb-65e98f4fc944",
                "key": "flow-ui.button.cancel",
                "shortKey": "button.cancel",
                "referenceText": "Cancel",
                "translatedText": "Annuler"
            },
            {
                "id": "3bae9a30-9036-4d78-badb-9f7e5708de67",
                "key": "flow-ui.button.changeDevice",
                "shortKey": "button.changeDevice",
                "referenceText": "Change Device",
                "translatedText": "Changer d'appareil"
            },
            {
                "id": "7799a850-9036-4d78-badb-ee7f507ffec1",
                "key": "flow-ui.button.confirm",
                "shortKey": "button.confirm",
                "referenceText": "Confirm",
                "translatedText": "Confirmer"
            },
            {
                "id": "35bcf2d4-9036-4d78-badb-bd3f4abbddd6",
                "key": "flow-ui.button.continue",
                "shortKey": "button.continue",
                "referenceText": "Continue",
                "translatedText": "Continuer"
            },
            {
                "id": "3ca1024d-9036-4d78-badb-4139789a8c7e",
                "key": "flow-ui.button.createNewAccount",
                "shortKey": "button.createNewAccount",
                "referenceText": "Create new Account",
                "translatedText": "Créer un compte"
            },
            {
                "id": "a8f9fd1a-9036-4d78-badb-a77ac64c7c89",
                "key": "flow-ui.button.decline",
                "shortKey": "button.decline",
                "referenceText": "Decline",
                "translatedText": "Refuser"
            },
            {
                "id": "e7239539-9036-4d78-badb-b198d622d6be",
                "key": "flow-ui.button.retry",
                "shortKey": "button.retry",
                "referenceText": "Retry",
                "translatedText": "Réessayer"
            },
            {
                "id": "af649e62-9036-4d78-badb-cfffc6e737a7",
                "key": "flow-ui.button.save",
                "shortKey": "button.save",
                "referenceText": "Save",
                "translatedText": "Enregistrer"
            },
            {
                "id": "81cf82c5-9036-4d78-badb-50dae4c7ecba",
                "key": "flow-ui.button.signOn",
                "shortKey": "button.signOn",
                "referenceText": "Sign On",
                "translatedText": "Se connecter"
            },
            {
                "id": "9881d684-9036-4d78-badb-d00b52e67d64",
                "key": "flow-ui.button.skip",
                "shortKey": "button.skip",
                "referenceText": "Skip for now",
                "translatedText": "Ignorer pour le moment"
            },
            {
                "id": "ae0d90fb-9036-4d78-badb-3e8e8fa7742b",
                "key": "flow-ui.button.submit",
                "shortKey": "button.submit",
                "referenceText": "Submit",
                "translatedText": "Envoyer"
            },
            {
                "id": "7c43c2d5-9036-4d78-badb-73aa71c9004b",
                "key": "flow-ui.button.tryAgain",
                "shortKey": "button.tryAgain",
                "referenceText": "Try Again",
                "translatedText": "Réessayer"
            },
            {
                "id": "c1e58161-9036-4d78-badb-ccc1a8391788",
                "key": "flow-ui.button.verify",
                "shortKey": "button.verify",
                "referenceText": "Verify",
                "translatedText": "Vérifier"
            },
            {
                "id": "4fed95d8-9036-4d78-badb-fae0bee5a07d",
                "key": "flow-ui.copyright",
                "shortKey": "copyright",
                "referenceText": "© Copyright 2003-{date} Ping Identity. All rights reserved.",
                "translatedText": "©{date} Ping Identity, 2003. Tous droits réservés"
            },
            {
                "id": "92a94c1b-9036-4d78-badb-dca8f35a907a",
                "key": "flow-ui.error.accountInactive",
                "shortKey": "error.accountInactive",
                "referenceText": "Account Inactive",
                "translatedText": "Compte inactif"
            },
            {
                "id": "9578ccc0-9036-4d78-badb-739457a4aa6e",
                "key": "flow-ui.error.accountInactive.message",
                "shortKey": "error.accountInactive.message",
                "referenceText": "This service is no longer active.",
                "translatedText": "Ce service n'est plus actif."
            },
            {
                "id": "7815a324-9036-4d78-badb-bdb991e6cdb0",
                "key": "flow-ui.error.accountLocked",
                "shortKey": "error.accountLocked",
                "referenceText": "Account Locked",
                "translatedText": "Compte verrouillé"
            },
            {
                "id": "720fb3b7-9036-4d78-badb-1d384ee9f927",
                "key": "flow-ui.error.activationCode.required",
                "shortKey": "error.activationCode.required",
                "referenceText": "Activation code cannot be empty",
                "translatedText": "Le code d'activation ne peut pas être vide"
            },
            {
                "id": "aacf0c87-9036-4d78-badb-c0aa749b36fe",
                "key": "flow-ui.error.activationCodeExpired",
                "shortKey": "error.activationCodeExpired",
                "referenceText": "The activation code has expired. Request a new code from the device to continue.",
                "translatedText": "Le code d'activation a expiré Demandez un nouveau code depuis le terminal pour continuer."
            },
            {
                "id": "73067162-9036-4d78-badb-4a665baac0a8",
                "key": "flow-ui.error.appAccessDenied",
                "shortKey": "error.appAccessDenied",
                "referenceText": "Access denied for the application.",
                "translatedText": "Accès refusé à l'application."
            },
            {
                "id": "b1c37c04-9036-4d78-badb-f0f8f8194400",
                "key": "flow-ui.error.assertionFailed",
                "shortKey": "error.assertionFailed",
                "referenceText": "Authentication cancelled",
                "translatedText": "Authentification annulée"
            },
            {
                "id": "b5aa1018-9036-4d78-badb-ca43bd7d0fd2",
                "key": "flow-ui.error.authenticationFailed",
                "shortKey": "error.authenticationFailed",
                "referenceText": "Authentication has failed for unknown reason.",
                "translatedText": "L'authentification a échoué pour une raison inconnue."
            },
            {
                "id": "83484715-9036-4d78-badb-f46d30a43cc4",
                "key": "flow-ui.error.blocked",
                "shortKey": "error.blocked",
                "referenceText": "Blocked",
                "translatedText": "Bloqué"
            },
            {
                "id": "abbeb481-9036-4d78-badb-bdea872f1a5b",
                "key": "flow-ui.error.confirmProfile",
                "shortKey": "error.confirmProfile",
                "referenceText": "There was a problem confirming your profile attributes. Please try again.",
                "translatedText": "Un problème est survenu lors de la confirmation des attributs de votre profil. Veuillez réessayer."
            },
            {
                "id": "48c76189-9036-4d78-badb-bab40362f6d1",
                "key": "flow-ui.error.constraintViolation",
                "shortKey": "error.constraintViolation",
                "referenceText": "This device cannot be used.",
                "translatedText": "Cet appareil ne peut pas être utilisé."
            },
            {
                "id": "7c05b780-9036-4d78-badb-cfeb08ff513b",
                "key": "flow-ui.error.days",
                "shortKey": "error.days",
                "referenceText": "{count, plural, 1 {day} other {days}}",
                "translatedText": "{count, plural, 1 {jour} other {jours}}"
            },
            {
                "id": "213a323f-9036-4d78-badb-1ce97d9ebe32",
                "key": "flow-ui.error.deviceBlocked",
                "shortKey": "error.deviceBlocked",
                "referenceText": "This device is blocked and cannot be used to access the system. Contact support for assistance."
            },
            {
                "id": "d920eda7-9036-4d78-badb-dd3430c865ec",
                "key": "flow-ui.error.deviceCompromised",
                "shortKey": "error.deviceCompromised",
                "referenceText": "This device does not comply with policy requirements.",
                "translatedText": "Cet appareil n'est pas conforme aux exigences prédéfinies."
            },
            {
                "id": "c11347f1-9036-4d78-badb-8c4e40dd606d",
                "key": "flow-ui.error.emailAlreadyTaken",
                "shortKey": "error.emailAlreadyTaken",
                "referenceText": "Email already taken.",
                "translatedText": "Cette adresse e-mail est déjà utilisée."
            },
            {
                "id": "71eca78b-9036-4d78-badb-5d46354a9d24",
                "key": "flow-ui.error.environmentId",
                "shortKey": "error.environmentId",
                "referenceText": "Invalid environmentId parameter: {environmentID}. environmentId should be a valid UUID.",
                "translatedText": "Paramètre environmentId non valide : {environmentID}. environmentId doit être un UUID valide."
            },
            {
                "id": "052da549-9036-4d78-badb-90e152d162c6",
                "key": "flow-ui.error.flowId",
                "shortKey": "error.flowId",
                "referenceText": "Invalid flowId parameter: {flowID}. flowId should be a valid UUID.",
                "translatedText": "Paramètre flowId invalide : {flowID}. flowId doit être un UUID valide."
            },
            {
                "id": "b39e8822-9036-4d78-badb-dcf42cc65edd",
                "key": "flow-ui.error.flowNotFound",
                "shortKey": "error.flowNotFound",
                "referenceText": "The request has expired or is invalid. Return to the application and restart the process.",
                "translatedText": "La demande a expiré ou n'est pas valide. Revenez à l'application et redémarrez le processus."
            },
            {
                "id": "cae025ee-9036-4d78-badb-8d9139fca4e6",
                "key": "flow-ui.error.hours",
                "shortKey": "error.hours",
                "referenceText": "{count, plural, 1 {hour} other {hours}}",
                "translatedText": "{count, plural, 1 {heure} other {heures}}"
            },
            {
                "id": "6278679a-9036-4d78-badb-230b0c98b6f8",
                "key": "flow-ui.error.incorrectActivationCode",
                "shortKey": "error.incorrectActivationCode",
                "referenceText": "The activation code \"{activationCode}\" is invalid. Enter the code as provided by the device. If the error persists, request a new code from the device to continue.",
                "translatedText": "Le code d'activation \"{activationCode}\" n'est pas valide. Saisissez le code fourni par le terminal. Si l'erreur persiste, demandez un nouveau code depuis le terminal pour continuer."
            },
            {
                "id": "81c6e590-9036-4d78-badb-39938aadc820",
                "key": "flow-ui.error.incorrectCurrentPassword",
                "shortKey": "error.incorrectCurrentPassword",
                "referenceText": "Incorrect current password. Please try again.",
                "translatedText": "Le mot de passe actuel est incorrect. Veuillez réessayer."
            },
            {
                "id": "a0c9c2f1-9036-4d78-badb-1217077a7825",
                "key": "flow-ui.error.incorrectRecoveryCode",
                "shortKey": "error.incorrectRecoveryCode",
                "referenceText": "Incorrect recovery code. Please try again.",
                "translatedText": "Le code de récupération est incorrect. Veuillez réessayer."
            },
            {
                "id": "acbc6c5c-9036-4d78-badb-22be8fe916dd",
                "key": "flow-ui.error.incorrectUsernamePassword",
                "shortKey": "error.incorrectUsernamePassword",
                "referenceText": "Incorrect username or password. Please try again.",
                "translatedText": "Le nom d'utilisateur ou le mot de passe est incorrect. Veuillez réessayer."
            },
            {
                "id": "88a3eaaf-9036-4d78-badb-792bfef32acd",
                "key": "flow-ui.error.incorrectVerificationCode",
                "shortKey": "error.incorrectVerificationCode",
                "referenceText": "Incorrect verification code. Please try again.",
                "translatedText": "Le code de vérification est incorrect. Veuillez réessayer."
            },
            {
                "id": "dd2996ee-9036-4d78-badb-039f1cd86b3d",
                "key": "flow-ui.error.invalidCharacterUsername",
                "shortKey": "error.invalidCharacterUsername",
                "referenceText": "Invalid character in username.",
                "translatedText": "Le nom d'utilisateur contient un caractère non valide."
            },
            {
                "id": "6152675b-9036-4d78-badb-5aec7ebb4df0",
                "key": "flow-ui.error.invalidEmailAddress",
                "shortKey": "error.invalidEmailAddress",
                "referenceText": "Invalid email address.",
                "translatedText": "L'adresse e-mail n'est pas valide."
            },
            {
                "id": "915358ec-9036-4d78-badb-adb1ead957df",
                "key": "flow-ui.error.invalidIdentityProvider",
                "shortKey": "error.invalidIdentityProvider",
                "referenceText": "Invalid identity provider.",
                "translatedText": "Le fournisseur d'identité n'est pas valide."
            },
            {
                "id": "255c215a-9036-4d78-badb-68117713d454",
                "key": "flow-ui.error.invalidPasscode",
                "shortKey": "error.invalidPasscode",
                "referenceText": "Invalid passcode",
                "translatedText": "Le code d'accès n'est pas valide"
            },
            {
                "id": "fa42dccf-9036-4d78-badb-48619b3122ac",
                "key": "flow-ui.error.invalidUsername",
                "shortKey": "error.invalidUsername",
                "referenceText": "Username is invalid.",
                "translatedText": "Le nom d'utilisateur n'est pas valide."
            },
            {
                "id": "5803eb3c-9036-4d78-badb-6b8bb69f7d73",
                "key": "flow-ui.error.label",
                "shortKey": "error.label",
                "referenceText": "Error",
                "translatedText": "Erreur"
            },
            {
                "id": "f3934d48-9036-4d78-badb-f87429faccf2",
                "key": "flow-ui.error.mfaDisabled",
                "shortKey": "error.mfaDisabled",
                "referenceText": "MFA is disabled for user.",
                "translatedText": "Le MFA est désactivé pour l'utilisateur."
            },
            {
                "id": "2e1f5b7a-9036-4d78-badb-db9578f63154",
                "key": "flow-ui.error.mfaDisabledForUser",
                "shortKey": "error.mfaDisabledForUser",
                "referenceText": "MFA is disabled for user: {user}.",
                "translatedText": "Le MFA est désactivé pour l'utilisateur : {user}."
            },
            {
                "id": "2d168e6d-9036-4d78-badb-9b8f81125fae",
                "key": "flow-ui.error.minutes",
                "shortKey": "error.minutes",
                "referenceText": "{count, plural, 1 {minute} other {minutes}}",
                "translatedText": "{count, plural, 1 {minute} other {minutes}}"
            },
            {
                "id": "377c0cb7-9036-4d78-badb-e6a818aec73c",
                "key": "flow-ui.error.newPasswordDoNotMatch",
                "shortKey": "error.newPasswordDoNotMatch",
                "referenceText": "New passwords don't match. Please try again.",
                "translatedText": "Les nouveaux mots de passe sont différents. Veuillez réessayer."
            },
            {
                "id": "14f2a521-9036-4d78-badb-7edd44e3c64b",
                "key": "flow-ui.error.noUsableDevices",
                "shortKey": "error.noUsableDevices",
                "referenceText": "User has no usable devices.",
                "translatedText": "L'utilisateur n'a aucun appareil utilisable."
            },
            {
                "id": "88364df3-9036-4d78-badb-69b62625606a",
                "key": "flow-ui.error.password.required",
                "shortKey": "error.password.required",
                "referenceText": "Password cannot be empty",
                "translatedText": "Le mot de passe doit être renseigné"
            },
            {
                "id": "243cf9f6-9036-4d78-badb-743cca37235f",
                "key": "flow-ui.error.passwordCanNotContainProfileInfo",
                "shortKey": "error.passwordCanNotContainProfileInfo",
                "referenceText": "Password cannot contain information from your user profile.",
                "translatedText": "Le mot de passe ne peut pas contenir de renseignements provenant de votre profil utilisateur."
            },
            {
                "id": "445f63d7-9036-4d78-badb-6b132f422140",
                "key": "flow-ui.error.passwordChanged",
                "shortKey": "error.passwordChanged",
                "referenceText": "Your password must be changed. Please create a new one.",
                "translatedText": "Votre mot de passe doit être modifié. Veuillez en créer un nouveau."
            },
            {
                "id": "1e20ce93-9036-4d78-badb-109e6d167db4",
                "key": "flow-ui.error.passwordComplexityDoesNotMatch",
                "shortKey": "error.passwordComplexityDoesNotMatch",
                "referenceText": "Password does not meet minimum complexity requirements.",
                "translatedText": "Le mot de passe ne répond pas aux exigences de complexité minimale."
            },
            {
                "id": "6bf3d98f-9036-4d78-badb-d2023aacf0ef",
                "key": "flow-ui.error.passwordDoesNotMeetRequirements",
                "shortKey": "error.passwordDoesNotMeetRequirements",
                "referenceText": "Password does not meet requirements.",
                "translatedText": "Le mot de passe ne répond pas aux exigences."
            },
            {
                "id": "e522a9fb-9036-4d78-badb-1f8d734b700f",
                "key": "flow-ui.error.passwordExpired",
                "shortKey": "error.passwordExpired",
                "referenceText": "Your password has expired. Please create a new one.",
                "translatedText": "Votre mot de passe a expiré. Veuillez en créer un autre."
            },
            {
                "id": "1aa54e12-9036-4d78-badb-aba963415f6c",
                "key": "flow-ui.error.passwordMustNotBeCommon",
                "shortKey": "error.passwordMustNotBeCommon",
                "referenceText": "Password must not be a commonly used password.",
                "translatedText": "Le mot de passe ne doit pas être un mot de passe couramment utilisé."
            },
            {
                "id": "4442372a-9036-4d78-badb-3ccffaa5a2d1",
                "key": "flow-ui.error.passwordMustNotBeSimilar",
                "shortKey": "error.passwordMustNotBeSimilar",
                "referenceText": "Password must not be similar to your previous passwords",
                "translatedText": "Le mot de passe ne doit pas être similaire à vos mots de passe précédents."
            },
            {
                "id": "ca41b505-9036-4d78-badb-8a6e2c35d149",
                "key": "flow-ui.error.passwordMustNotBeSimilarToCurrent",
                "shortKey": "error.passwordMustNotBeSimilarToCurrent",
                "referenceText": "Password cannot be similar to your current password.",
                "translatedText": "Le mot de passe ne peut pas être similaire à votre mot de passe actuel."
            },
            {
                "id": "055cbfa9-9036-4d78-badb-0b3c299c931a",
                "key": "flow-ui.error.passwordMustNotBeSimilarToPrevious",
                "shortKey": "error.passwordMustNotBeSimilarToPrevious",
                "referenceText": "Password cannot be the same or similar to your previous {historyCount} passwords.",
                "translatedText": "Le mot de passe ne peut pas être identique ou similaire à vos mots de {historyCount}passe précédents."
            },
            {
                "id": "bd63308f-9036-4d78-badb-25820dfba647",
                "key": "flow-ui.error.policyNotMet",
                "shortKey": "error.policyNotMet",
                "referenceText": "This device does not comply with policy requirements.",
                "translatedText": "Cet appareil n'est pas conforme aux exigences de la politique."
            },
            {
                "id": "1c997416-9036-4d78-badb-cfc3ba124667",
                "key": "flow-ui.error.preventingFromSignOn",
                "shortKey": "error.preventingFromSignOn",
                "referenceText": "An error is preventing us from signing you on.",
                "translatedText": "Une erreur nous empêche de procéder à votre inscription."
            },
            {
                "id": "e7ddc24c-9036-4d78-badb-b41b427cdf9c",
                "key": "flow-ui.error.pushConfirmationTimedOut",
                "shortKey": "error.pushConfirmationTimedOut",
                "referenceText": "Authentication failed. Try again or contact your administrator.",
                "translatedText": "L'authentification a échoué. Réessayez ou contactez votre administrateur."
            },
            {
                "id": "fe6719df-9036-4d78-badb-a9980236188d",
                "key": "flow-ui.error.seconds",
                "shortKey": "error.seconds",
                "referenceText": "{count, plural, 1 {second} other {seconds}}",
                "translatedText": "{count, plural, 1 {seconde} other {secondes}}"
            },
            {
                "id": "1eeaeb71-9036-4d78-badb-e24c503e9de0",
                "key": "flow-ui.error.smsLimitExceeded",
                "shortKey": "error.smsLimitExceeded",
                "referenceText": "Daily SMS limit was exceeded",
                "translatedText": "La limite quotidienne de SMS a été dépassée"
            },
            {
                "id": "dfc0ebc6-9036-4d78-badb-4e2240e5dbfa",
                "key": "flow-ui.error.somethingWentWrong",
                "shortKey": "error.somethingWentWrong",
                "referenceText": "Something went wrong",
                "translatedText": "Un problème est survenu"
            },
            {
                "id": "05ba48e2-9036-4d78-badb-78f6d25e8fea",
                "key": "flow-ui.error.somethingWentWrongVerificationCode",
                "shortKey": "error.somethingWentWrongVerificationCode",
                "referenceText": "Something went wrong when trying to resend a verification code.",
                "translatedText": "Un problème est survenu lors de l'envoi d'un nouveau code de vérification."
            },
            {
                "id": "532a2f3e-9036-4d78-badb-0e03a1c04ebd",
                "key": "flow-ui.error.tooManyAttempts",
                "shortKey": "error.tooManyAttempts",
                "referenceText": "Too many unsuccessful sign-on attempts. Your account will unlock in {timeUntilUnlockMsg}.",
                "translatedText": "Trop de tentatives de connexion infructueuses. Votre compte sera déverrouillé dans {timeUntilUnlockMsg}."
            },
            {
                "id": "6aa91d7d-9036-4d78-badb-2108db1441fa",
                "key": "flow-ui.error.tooManyAttemptsAccountLocked",
                "shortKey": "error.tooManyAttemptsAccountLocked",
                "referenceText": "Too many unsuccessful sign-on attempts. Account is now locked.",
                "translatedText": "Trop de tentatives de connexion infructueuses. Le compte est maintenant verrouillé."
            },
            {
                "id": "72da24b4-9036-4d78-badb-00486a91ddd7",
                "key": "flow-ui.error.tooManyOTPAttempts",
                "shortKey": "error.tooManyOTPAttempts",
                "referenceText": "Too many unsuccessful passcode attempts, please try again in {timeUntilUnlockMsg}.",
                "translatedText": "Trop de tentatives OTP infructueuses, veuillez réessayer dans {timeUntilUnlockMsg}."
            },
            {
                "id": "d845182b-9036-4d78-badb-787814640a62",
                "key": "flow-ui.error.tooManyOTPAttemptsTryAgain",
                "shortKey": "error.tooManyOTPAttemptsTryAgain",
                "referenceText": "Too many unsuccessful passcode attempts, please try again.",
                "translatedText": "Trop de tentatives OTP infructueuses, veuillez réessayer."
            },
            {
                "id": "adc79f10-9036-4d78-badb-3a0707fe9ecd",
                "key": "flow-ui.error.unableToResendCode",
                "shortKey": "error.unableToResendCode",
                "referenceText": "Unable to resend recovery code. Please try again.",
                "translatedText": "Impossible de renvoyer le code de récupération. Veuillez réessayer."
            },
            {
                "id": "e95ba806-9036-4d78-badb-51890d13a006",
                "key": "flow-ui.error.unexpected",
                "shortKey": "error.unexpected",
                "referenceText": "An unexpected error has occurred.",
                "translatedText": "Une erreur inattendue s'est produite."
            },
            {
                "id": "0a9e90ad-9036-4d78-badb-1417af595e10",
                "key": "flow-ui.error.unexpectedReadingFlow",
                "shortKey": "error.unexpectedReadingFlow",
                "referenceText": "An unexpected error has occurred reading the authentication flow.",
                "translatedText": "Une erreur inattendue s'est produite lors de la lecture du processus d'authentification."
            },
            {
                "id": "fbeaeab5-9036-4d78-badb-0760ea089a77",
                "key": "flow-ui.error.unexpectedTryAgain",
                "shortKey": "error.unexpectedTryAgain",
                "referenceText": "An unexpected error occurred. Please try again.",
                "translatedText": "Une erreur inattendue s'est produite. Veuillez réessayer."
            },
            {
                "id": "6a8d5a88-9036-4d78-badb-5ca1d2e9be2e",
                "key": "flow-ui.error.updateProfile",
                "shortKey": "error.updateProfile",
                "referenceText": "There was a problem updating your profile. Please try again.",
                "translatedText": "Un problème s'est produit lors de la mise à jour de votre profil. Veuillez réessayer."
            },
            {
                "id": "f06b6b59-9036-4d78-badb-3797de500131",
                "key": "flow-ui.error.userDisabled",
                "shortKey": "error.userDisabled",
                "referenceText": "User is disabled.",
                "translatedText": "L'utilisateur est désactivé."
            },
            {
                "id": "76f4452f-9036-4d78-badb-ee36be08bbcc",
                "key": "flow-ui.error.userNameOutOfRange",
                "shortKey": "error.userNameOutOfRange",
                "referenceText": "Username cannot have more than 128 characters.",
                "translatedText": "Le nom d'utilisateur ne peut pas comporter plus de 128 caractères."
            },
            {
                "id": "6ae0ed4f-9036-4d78-badb-5ac89520050e",
                "key": "flow-ui.error.username.required",
                "shortKey": "error.username.required",
                "referenceText": "Username cannot be empty",
                "translatedText": "Le nom d'utilisateur doit être renseigné"
            },
            {
                "id": "2728e6ee-9036-4d78-badb-b2d5ca855579",
                "key": "flow-ui.error.usernameAlreadyTaken",
                "shortKey": "error.usernameAlreadyTaken",
                "referenceText": "Username already taken.",
                "translatedText": "Le nom d'utilisateur est déjà utilisé."
            },
            {
                "id": "214337ea-9036-4d78-badb-b902ce0c7b1c",
                "key": "flow-ui.error.usernameNotProvided",
                "shortKey": "error.usernameNotProvided",
                "referenceText": "Username not provided.",
                "translatedText": "Le nom d'utilisateur n'a pas été fourni."
            },
            {
                "id": "4917b376-9036-4d78-badb-4939b4db31df",
                "key": "flow-ui.fidoPolicy.deviceDisplayName01",
                "shortKey": "fidoPolicy.deviceDisplayName01",
                "referenceText": "Passkey",
                "translatedText": "Clé d'accès"
            },
            {
                "id": "fe962843-9036-4d78-badb-31b3e30d202f",
                "key": "flow-ui.fidoPolicy.deviceDisplayName02",
                "shortKey": "fidoPolicy.deviceDisplayName02",
                "referenceText": "Security Key",
                "translatedText": "Clé de sécurité"
            },
            {
                "id": "1aa75b85-9036-4d78-badb-ffda3f390a56",
                "key": "flow-ui.fidoPolicy.deviceDisplayName03",
                "shortKey": "fidoPolicy.deviceDisplayName03",
                "referenceText": "FIDO",
                "translatedText": "FIDO"
            },
            {
                "id": "c113f7c0-9036-4d78-badb-79fee02551ba",
                "key": "flow-ui.fidoPolicy.deviceDisplayName04",
                "shortKey": "fidoPolicy.deviceDisplayName04",
                "referenceText": "FIDO2",
                "translatedText": "FIDO2"
            },
            {
                "id": "4c1bb60a-9036-4d78-badb-d4da914f5d99",
                "key": "flow-ui.fidoPolicy.deviceDisplayName05",
                "shortKey": "fidoPolicy.deviceDisplayName05",
                "referenceText": "Biometrics",
                "translatedText": "Biométrie"
            },
            {
                "id": "e18ca37f-9036-4d78-badb-f267153fa65b",
                "key": "flow-ui.fidoPolicy.deviceDisplayName06",
                "shortKey": "fidoPolicy.deviceDisplayName06",
                "referenceText": "Custom Display Name 1",
                "translatedText": "Nom d'affichage personnalisé 1"
            },
            {
                "id": "452f7b6d-9036-4d78-badb-ed77566524ed",
                "key": "flow-ui.fidoPolicy.deviceDisplayName07",
                "shortKey": "fidoPolicy.deviceDisplayName07",
                "referenceText": "Custom Display Name 2",
                "translatedText": "Nom d'affichage personnalisé 2"
            },
            {
                "id": "e8d97718-9036-4d78-badb-e93aa79f432b",
                "key": "flow-ui.fidoPolicy.deviceDisplayName08",
                "shortKey": "fidoPolicy.deviceDisplayName08",
                "referenceText": "Custom Display Name 3",
                "translatedText": "Nom d'affichage personnalisé 3"
            },
            {
                "id": "bb39ba5c-9036-4d78-badb-e20f815b86a5",
                "key": "flow-ui.fidoPolicy.deviceDisplayName09",
                "shortKey": "fidoPolicy.deviceDisplayName09",
                "referenceText": "Custom Display Name 4",
                "translatedText": "Nom d'affichage personnalisé 4"
            },
            {
                "id": "52e29aab-9036-4d78-badb-a8842e89b608",
                "key": "flow-ui.fidoPolicy.deviceDisplayName10",
                "shortKey": "fidoPolicy.deviceDisplayName10",
                "referenceText": "Custom Display Name 5",
                "translatedText": "Nom d'affichage personnalisé 5"
            },
            {
                "id": "868c5953-9036-4d78-badb-a46da02f6523",
                "key": "flow-ui.img.alert",
                "shortKey": "img.alert",
                "referenceText": "Alert",
                "translatedText": "Alerte"
            },
            {
                "id": "024b78a8-9036-4d78-badb-cab727efbb20",
                "key": "flow-ui.img.companyLogo",
                "shortKey": "img.companyLogo",
                "referenceText": "Company Logo",
                "translatedText": "Logo de l'entreprise"
            },
            {
                "id": "609f2917-9036-4d78-badb-f152319b6076",
                "key": "flow-ui.isAirThemeCustomized.button.login",
                "shortKey": "isAirThemeCustomized.button.login",
                "referenceText": "Login",
                "translatedText": "Connexion"
            },
            {
                "id": "cd885bf0-9036-4d78-badb-1a8fd5371bd3",
                "key": "flow-ui.isAirThemeCustomized.label.email",
                "shortKey": "isAirThemeCustomized.label.email",
                "referenceText": "Email",
                "translatedText": "E-mail"
            },
            {
                "id": "2d7fdd52-9036-4d78-badb-2dc154fe146e",
                "key": "flow-ui.isAirThemeCustomized.label.forgotPasswordScreenText",
                "shortKey": "isAirThemeCustomized.label.forgotPasswordScreenText",
                "referenceText": "Enter your registered email address to receive password reset instructions by email.",
                "translatedText": "Saisissez votre adresse e-mail enregistrée pour recevoir les instructions de réinitialisation du mot de passe par e-mail."
            },
            {
                "id": "43c216fd-9036-4d78-badb-b5359fdf1943",
                "key": "flow-ui.isAirThemeCustomized.label.login",
                "shortKey": "isAirThemeCustomized.label.login",
                "referenceText": "Login",
                "translatedText": "Connexion"
            },
            {
                "id": "deaf4004-9036-4d78-badb-9abb71f6cbf3",
                "key": "flow-ui.isAirThemeCustomized.label.noAccount",
                "shortKey": "isAirThemeCustomized.label.noAccount",
                "referenceText": "New user? ",
                "translatedText": "Nouvel utilisateur ? "
            },
            {
                "id": "c16bada5-9036-4d78-badb-4b42feecf079",
                "key": "flow-ui.isAirThemeCustomized.label.passwordInfo",
                "shortKey": "isAirThemeCustomized.label.passwordInfo",
                "translatedText": "Les utilisateurs enregistrés qui se connectent pour la première fois depuis le 26/02/21 doivent réinitialiser leur mot de passe en cliquant sur le lien « Mot de passe oublié » ci-dessus."
            },
            {
                "id": "fdb9b6c6-9036-4d78-badb-78ce3b72bdf3",
                "key": "flow-ui.isAirThemeCustomized.label.recoveryCodeInfo",
                "shortKey": "isAirThemeCustomized.label.recoveryCodeInfo",
                "referenceText": "If you have a registered account with a valid email address, you will receive an email with a recovery code. Please provide the one-time recovery code below and set your new password.",
                "translatedText": "Si vous avez un compte enregistré avec une adresse e-mail valide, vous recevrez un e-mail avec un code de récupération. Veuillez fournir le code de récupération à usage unique ci-dessous et définir votre nouveau mot de passe."
            }
        ]
    },
    "count": 953,
    "size": 100
}
```
